libgimpprint API Reference: stp_sequence struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stp_sequence Struct Reference

## Data Fields
int | recompute_range
double | blo
double | bhi
double | rlo
double | rhi
size_t | size
double * | data
float * | float_data
long * | long_data
unsigned long * | ulong_data
int * | int_data
unsigned * | uint_data
short * | short_data
unsigned short * | ushort_data

## Field Documentation

double stp_sequence::bhi

| Definition at line 46 of file sequence.c. Referenced by scan_sequence_range(), sequence_ctor(), stp_sequence_copy(), stp_sequence_get_bounds(), stp_sequence_set_bounds(), and stp_sequence_set_point().

double stp_sequence::blo

| Definition at line 45 of file sequence.c. Referenced by scan_sequence_range(), sequence_ctor(), stp_sequence_copy(), stp_sequence_get_bounds(), stp_sequence_set_bounds(), and stp_sequence_set_point().

double* stp_sequence::data

| Definition at line 50 of file sequence.c. Referenced by scan_sequence_range(), sequence_ctor(), sequence_dtor(), stp_sequence_copy(), stp_sequence_get_data(), stp_sequence_get_point(), stp_sequence_set_data(), stp_sequence_set_point(), stp_sequence_set_size(), and stp_sequence_set_subrange().

float* stp_sequence::float_data

| Definition at line 51 of file sequence.c. Referenced by invalidate_auxilliary_data().

int* stp_sequence::int_data

| Definition at line 54 of file sequence.c. Referenced by invalidate_auxilliary_data().

long* stp_sequence::long_data

| Definition at line 52 of file sequence.c. Referenced by invalidate_auxilliary_data().

int stp_sequence::recompute_range

| Definition at line 44 of file sequence.c. Referenced by scan_sequence_range(), sequence_ctor(), stp_sequence_copy(), stp_sequence_get_range(), stp_sequence_set_bounds(), stp_sequence_set_data(), stp_sequence_set_point(), stp_sequence_set_size(), and stp_sequence_set_subrange().

double stp_sequence::rhi

| Definition at line 48 of file sequence.c. Referenced by scan_sequence_range(), sequence_ctor(), stp_sequence_copy(), stp_sequence_get_range(), stp_sequence_set_bounds(), and stp_sequence_set_point().

double stp_sequence::rlo

| Definition at line 47 of file sequence.c. Referenced by scan_sequence_range(), sequence_ctor(), stp_sequence_copy(), stp_sequence_get_range(), stp_sequence_set_bounds(), and stp_sequence_set_point().

short* stp_sequence::short_data

| Definition at line 56 of file sequence.c. Referenced by invalidate_auxilliary_data().

size_t stp_sequence::size

| Definition at line 49 of file sequence.c. Referenced by scan_sequence_range(), sequence_ctor(), stp_sequence_copy(), stp_sequence_get_data(), stp_sequence_get_point(), stp_sequence_get_size(), stp_sequence_set_data(), stp_sequence_set_point(), stp_sequence_set_size(), and stp_sequence_set_subrange().

unsigned* stp_sequence::uint_data

| Definition at line 55 of file sequence.c. Referenced by invalidate_auxilliary_data().

unsigned long* stp_sequence::ulong_data

| Definition at line 53 of file sequence.c. Referenced by invalidate_auxilliary_data().

unsigned short* stp_sequence::ushort_data

| Definition at line 57 of file sequence.c. Referenced by invalidate_auxilliary_data().

The documentation for this struct was generated from the following file:

- src/main/sequence.c